System Requirements

Browser Requirements/Support

OneWeb 7 is supported on specific browsers and versions of those browsers. That does not mean that it will not work with older versions or different browsers, just that we do not support bugs/glitches on them. Here are the browsers and versions that we support for administering OneWeb:

  • Google Chrome: Two most recent versions
    (ex: If the current version is 10, we support versions 10 and 9)
    Download Google Chrome
  • Mozilla Firefox: Two most recent versions, 3.6*
    (ex: If the current version is 7, we support versions 7, 6 and 3.6)
    *Note: Firefox 3.6 does not automatically install updates like the newer versions do, so some people are still using it. Users who are still using Firefox 3.6 should consider upgrading to the latest version.
    Download Mozilla Firefox
  • Microsoft Internet Explorer: 8, 9, 10, 11
    Download Microsoft Internet Explorer
  • Apple Safari: 5.x +
    (i.e. any release of Safari 5 and above)
    Download Apple Safari

What Browser Version am I Using?

The browser version is usually found in the About section of the Help menu item. You can find step-by-step instructions for Firefox and Internet Explorer on their websites.

Downgrading to a Previous Version

Many browsers are now releasing new versions very quickly and auto-updating your browser with the new version. Because of this quick change, when a new browser version is first released (or if you are using an older version of OneWeb), you may experience some difficulties. If that happens, you can easily download and install a previously released version of your web browser, known as downgrading.

  • Mozilla Firefox: Instructions are provided on Mozilla's support website for downgrading to a previous version.
  • Microsoft Internet Explorer: On the main download page, you can choose to download and install a previously released version (find them at the bottom of the page).
  • Google Chrome: Unfortunately, downgrading to a previous version of Chrome is not as simple, and the process is not documented on Google's support website. If you are experiencing problems with OneWeb due to a Chrome upgrade, the best solution would be to use a different supported browser until the issue has been resolved.
  • Apple Safari: Downgrading Safari is not documented on Apple's support website. If you are experiencing problems with OneWeb due to a Safari upgrade, the best solution would be to use a different supported browser until the issue has been resolved.

Other Requirements

  • Since all website editing is done within the browser, you will need to have an internet connection.